GNU bug report logs - #29972
25.3; dired-hide-details-mode does not persist in desktop session

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Yuen Ho Wong <wyuenho@HIDDEN>; dated Thu, 4 Jan 2018 01:14:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 8 Jan 2018 18:54:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 08 13:54:23 2018
Received: from localhost ([127.0.0.1]:41672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eYcYx-0002ue-5a
	for submit <at> debbugs.gnu.org; Mon, 08 Jan 2018 13:54:23 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56271)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eYcYw-0002uM-E3
 for 29972 <at> debbugs.gnu.org; Mon, 08 Jan 2018 13:54:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eYcYo-0005fO-0B
 for 29972 <at> debbugs.gnu.org; Mon, 08 Jan 2018 13:54:17 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39972)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eYcYn-0005fF-SB; Mon, 08 Jan 2018 13:54:13 -0500
Received: from [176.228.60.248] (port=3472 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eYcYm-0004os-W1; Mon, 08 Jan 2018 13:54:13 -0500
Date: Mon, 08 Jan 2018 20:54:01 +0200
Message-Id: <83r2r06v1y.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
In-reply-to: <CAKDRQS5J4AtHqc7kSVasNa8ji_tP8LGSwRRDdiHzgxP6AUYq2Q@HIDDEN>
 (message from Jimmy Yuen Ho Wong on Mon, 8 Jan 2018 12:43:38 +0000)
Subject: Re: bug#29972: 25.3;
 dired-hide-details-mode does not persist in desktop session
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 <83shbk9vzy.fsf@HIDDEN>
 <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
 <83po6o9ngh.fsf@HIDDEN>
 <CAM-tV-9nety9QBQzvPF4agbrgw+GSZ_YzuW6ufquNQRkH+2gaQ@HIDDEN>
 <83mv1s9jq2.fsf@HIDDEN>
 <CAM-tV--TbDFfBXhWV1yz-Ab1wCtOh7N_mu+hZthU+Mp-OoYYeQ@HIDDEN>
 <83k1ww9j1g.fsf@HIDDEN>
 <CAM-tV-8=B0-X_QEMizvoevXmpYb5O3TwQp3+j41RrFkYoVjWmA@HIDDEN>
 <CAKDRQS5J4AtHqc7kSVasNa8ji_tP8LGSwRRDdiHzgxP6AUYq2Q@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
> Date: Mon, 8 Jan 2018 12:43:38 +0000
> 
> Does that mean this patch can't be merged until we've figured a way out by changing `define-minor-mode` to
> introduce a new `buffer-minor-modes` buffer local variable?

We need to figure out some way for desktop.el to record
dired-hide-details-mode, either automatically or given user
customizations.

It's possible that looking at minor-mode-list (not minor-mode-alist!)
is such a way.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 8 Jan 2018 12:44:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 08 07:44:07 2018
Received: from localhost ([127.0.0.1]:40295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eYWmd-0005AX-AJ
	for submit <at> debbugs.gnu.org; Mon, 08 Jan 2018 07:44:07 -0500
Received: from mail-wm0-f43.google.com ([74.125.82.43]:46318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyuenho@HIDDEN>) id 1eYWmb-00059u-SQ
 for 29972 <at> debbugs.gnu.org; Mon, 08 Jan 2018 07:44:06 -0500
Received: by mail-wm0-f43.google.com with SMTP id r78so13934049wme.5
 for <29972 <at> debbugs.gnu.org>; Mon, 08 Jan 2018 04:44:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to;
 bh=QYj1md4COCHNb5MIrN0fy5UjEP+xfKp8FKXy7xbarkQ=;
 b=KRtV0eyfcCKX8WH+4xIerD24RIv799szimfBGJspwtyCGehVbJhU0A705Ig6GFRs8H
 1iAssXfReboMwenDEc3agcZ8as7Hdbvcl4ReNu6DbBRaIF+1go2nz3dld2os5YPMjvnj
 jKIO/i9tsiPdsmkDCnACy5PdN7ovTupS/k1jMJwqnhokGmbpb42vcspbDFgcIkOfNQ5u
 2973nR32xuvryZ04juBL1KZdr+WYouHY8k08Qvk3uvY6MwVyJcuEcm/QMXM+YqxxMlmk
 eTvcYjF0H+4V3OqRZZCTUwbx9Uqd4tXxn9LEVg3aCe/mukIzraSYO4Y5QSx7NUzZxJ8b
 ZUWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to;
 bh=QYj1md4COCHNb5MIrN0fy5UjEP+xfKp8FKXy7xbarkQ=;
 b=p68SNBv6T/EHVDo/BeTFqcjiZsFu5VW2DYqcBpjlEXtBpfIYNgnX1DCYGbvRcocb22
 9O8rXi5sN8LmwiUBqCLxOmEXfPNkdbAU1yeWy7PPcOfMAopBR/mR4Cwdvqc1Lm3Sf/bW
 fwQcKtjWDIjcAMxRWyAnR6yuZBZSWcWmy9QNBa1mEXh/t8Py7e6mmC4W5Zncyy68jwqg
 ZGJlt1wD2aa0e74T95mRfhan8lu8yePTH0zGBms2hQygZrMb5pLB6ZRU8EHpJdUYUI8m
 PvIOxTv/uzRoCNirHHt3pwiJJqjy7wNDlZTqTlVzy6Wmg56EbuLcGWHclJeA2Om52EG4
 X/Sw==
X-Gm-Message-State: AKGB3mJbW9kLHsEe4sfQfH9xXHjHDhDva0GfuX3ZN4nkS9oxiY1eoswN
 8xIcJviYUhilxH12E80MD+yhfDBjlRPsTUc+k/kImQ==
X-Google-Smtp-Source: ACJfBovXL0BU3pezzKlvkpoWgbt14xuf2+wiPlvuJ2nUjZa0Q6+maJFZ3pGBlWw6aRRHz9Y7tMHcgq9Fh4iWFPIr/4s=
X-Received: by 10.28.142.2 with SMTP id q2mr9755511wmd.33.1515415439424; Mon,
 08 Jan 2018 04:43:59 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.196.199 with HTTP; Mon, 8 Jan 2018 04:43:38 -0800 (PST)
In-Reply-To: <CAM-tV-8=B0-X_QEMizvoevXmpYb5O3TwQp3+j41RrFkYoVjWmA@HIDDEN>
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 <83shbk9vzy.fsf@HIDDEN>
 <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
 <83po6o9ngh.fsf@HIDDEN>
 <CAM-tV-9nety9QBQzvPF4agbrgw+GSZ_YzuW6ufquNQRkH+2gaQ@HIDDEN>
 <83mv1s9jq2.fsf@HIDDEN>
 <CAM-tV--TbDFfBXhWV1yz-Ab1wCtOh7N_mu+hZthU+Mp-OoYYeQ@HIDDEN>
 <83k1ww9j1g.fsf@HIDDEN>
 <CAM-tV-8=B0-X_QEMizvoevXmpYb5O3TwQp3+j41RrFkYoVjWmA@HIDDEN>
From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
Date: Mon, 8 Jan 2018 12:43:38 +0000
Message-ID: <CAKDRQS5J4AtHqc7kSVasNa8ji_tP8LGSwRRDdiHzgxP6AUYq2Q@HIDDEN>
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
To: 29972 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="001a114984fcf444640562432658"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29972
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--001a114984fcf444640562432658
Content-Type: text/plain; charset="UTF-8"

Does that mean this patch can't be merged until we've figured a way out by
changing `define-minor-mode` to introduce a new `buffer-minor-modes` buffer
local variable?

On Fri, Jan 5, 2018 at 7:59 PM, Noam Postavsky <
npostavs@HIDDEN> wrote:

> On Fri, Jan 5, 2018 at 2:56 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>
> >> (I see describe-mode only takes minor modes which have function and
> >> variable using the same symbol)
> >
> > That happens automagically if one uses define-minor-mode, right?
>
> Except if you use its :variable option.
>

--001a114984fcf444640562432658
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Does that mean this patch can&#39;t be merged until we&#39=
;ve figured a way out by changing `define-minor-mode` to introduce a new `b=
uffer-minor-modes` buffer local variable?</div><div class=3D"gmail_extra"><=
br><div class=3D"gmail_quote">On Fri, Jan 5, 2018 at 7:59 PM, Noam Postavsk=
y <span dir=3D"ltr">&lt;<a href=3D"mailto:npostavs@HIDDEN" t=
arget=3D"_blank">npostavs@HIDDEN</a>&gt;</span> wrote:<br><b=
lockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px =
#ccc solid;padding-left:1ex"><span class=3D"">On Fri, Jan 5, 2018 at 2:56 P=
M, Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; w=
rote:<br>
<br>
&gt;&gt; (I see describe-mode only takes minor modes which have function an=
d<br>
&gt;&gt; variable using the same symbol)<br>
&gt;<br>
&gt; That happens automagically if one uses define-minor-mode, right?<br>
<br>
</span>Except if you use its :variable option.<br>
</blockquote></div><br></div>

--001a114984fcf444640562432658--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 19:59:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 14:59:08 2018
Received: from localhost ([127.0.0.1]:37338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXY8y-0006dt-Hw
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 14:59:08 -0500
Received: from mail-wm0-f50.google.com ([74.125.82.50]:44759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1eXY8x-0006dh-Pw
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 14:59:08 -0500
Received: by mail-wm0-f50.google.com with SMTP id t8so4396733wmc.3
 for <29972 <at> debbugs.gnu.org>; Fri, 05 Jan 2018 11:59:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=On3KJg0GRRmMRU5g8OniCVX2Fy/HikAQdB19kcRsn7M=;
 b=f24fAPbP9LpmxvLVuZqeZieJmU3Kqjobubrs69qgMmStaOUGY2v3rj9oboJL+/2++X
 XxyVaBMEhIBEAp17qFUg4bpFuRbHbcIBVbzlL7PaGB7die7HkdQqoMCcQQrlaRDxwne3
 UYkkw3Y1rMgBVmaJGntSP9p7uxia1U8a7brHKyJoGT8RWIUbMrL6Y0fF5bMZNqdvfTQW
 nokO2jcJAMiJMW1zWdjY8Qv4D41As+B684WNOi1AxgfZdHybrn1CqdRgqHVnVPo24GHE
 QlcK4R8I3jLzkaNM9WgJAycvYjZrmN5OgOoseobRS0/o8E8aMDHdzaS83du+klb0zFZ7
 k5og==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=On3KJg0GRRmMRU5g8OniCVX2Fy/HikAQdB19kcRsn7M=;
 b=EjX5zxOs9gI+ijV6DECMKJo3nOHdup0vR3zY/hPfXcsZrsMbtCG1A+oCibx8OgXYb3
 ZdsJfZdui+W5z5BfjOkcq/+OI1QDQCnJf0QKnDDFxB6pLH2weyIznrGzs0VUtnItoB2A
 MSLD6nyNAkxwgRkfDBaUzqTA9GsNJpk5vd/u4c0L7E7DfGpfEFmraIHPKBKym4pQSToM
 Cmlt1DGt0ogMFIzpz2gfW8010amznMdH6gAwLpGhAzy+JP8DE6X7nr8BA2Kf+ZdSfmQx
 ArV7biCZvgqIRtfJxwBzi8Szlo5fIumQmD0B2zQqbNXR0gptFU/fwc9cA/rklJrbVNT6
 A0kw==
X-Gm-Message-State: AKGB3mJouY8CtgBonEwwWnOcTLx9x3r5BlcQuFFzpuinCERWU85iYCnP
 RTBLz4x181mXkGGdtolnMZG3V4HNK3Xu2uWR2Dg=
X-Google-Smtp-Source: ACJfBoscXH1Bx51RvtlSMmUzJQ3iYSwEgTqvzqUdKjySTycUasiZ7VAhXO3GmFtZsrJo/9KCZqPzWNtw8y2WSf/ByNo=
X-Received: by 10.28.232.208 with SMTP id f77mr3400624wmi.160.1515182342080;
 Fri, 05 Jan 2018 11:59:02 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.145.129 with HTTP; Fri, 5 Jan 2018 11:59:01 -0800 (PST)
In-Reply-To: <83k1ww9j1g.fsf@HIDDEN>
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 <83shbk9vzy.fsf@HIDDEN>
 <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
 <83po6o9ngh.fsf@HIDDEN>
 <CAM-tV-9nety9QBQzvPF4agbrgw+GSZ_YzuW6ufquNQRkH+2gaQ@HIDDEN>
 <83mv1s9jq2.fsf@HIDDEN>
 <CAM-tV--TbDFfBXhWV1yz-Ab1wCtOh7N_mu+hZthU+Mp-OoYYeQ@HIDDEN>
 <83k1ww9j1g.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Fri, 5 Jan 2018 14:59:01 -0500
X-Google-Sender-Auth: ansqJhKG4IxPvKAdILK1Ipetw20
Message-ID: <CAM-tV-8=B0-X_QEMizvoevXmpYb5O3TwQp3+j41RrFkYoVjWmA@HIDDEN>
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org, Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Fri, Jan 5, 2018 at 2:56 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

>> (I see describe-mode only takes minor modes which have function and
>> variable using the same symbol)
>
> That happens automagically if one uses define-minor-mode, right?

Except if you use its :variable option.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 19:56:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 14:56:49 2018
Received: from localhost ([127.0.0.1]:37334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXY6h-0006aT-5X
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 14:56:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48933)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eXY6f-0006aH-1n
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 14:56:45 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eXY6V-000337-TI
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 14:56:39 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37160)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eXY6V-00032z-Nt; Fri, 05 Jan 2018 14:56:35 -0500
Received: from [176.228.60.248] (port=1403 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eXY6U-0001Ow-Sb; Fri, 05 Jan 2018 14:56:35 -0500
Date: Fri, 05 Jan 2018 21:56:11 +0200
Message-Id: <83k1ww9j1g.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <CAM-tV--TbDFfBXhWV1yz-Ab1wCtOh7N_mu+hZthU+Mp-OoYYeQ@HIDDEN>
 (message from Noam Postavsky on Fri, 5 Jan 2018 14:54:01 -0500)
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 <83shbk9vzy.fsf@HIDDEN>
 <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
 <83po6o9ngh.fsf@HIDDEN>
 <CAM-tV-9nety9QBQzvPF4agbrgw+GSZ_YzuW6ufquNQRkH+2gaQ@HIDDEN>
 <83mv1s9jq2.fsf@HIDDEN>
 <CAM-tV--TbDFfBXhWV1yz-Ab1wCtOh7N_mu+hZthU+Mp-OoYYeQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org, wyuenho@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Fri, 5 Jan 2018 14:54:01 -0500
> Cc: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>, 29972 <at> debbugs.gnu.org
> 
> >> Would it help if define-minor-mode recorded what the
> >> variable/expression is (e.g., by putting a property on the function
> >> symbol)?
> >
> > Not sure what should desktop.el do with that.  Loop on all symbols in
> > obarray looking for those with that property?
> 
> I thought looping over symbols in minor-mode-list would make sense.

Yes, but your suggestion never mentioned minor-mode-list, so I
probably missed the point.

> (I see describe-mode only takes minor modes which have function and
> variable using the same symbol)

That happens automagically if one uses define-minor-mode, right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 19:54:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 14:54:09 2018
Received: from localhost ([127.0.0.1]:37330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXY49-0006X5-Nm
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 14:54:09 -0500
Received: from mail-wm0-f41.google.com ([74.125.82.41]:39755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1eXY47-0006Wl-Rj
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 14:54:08 -0500
Received: by mail-wm0-f41.google.com with SMTP id i11so4398988wmf.4
 for <29972 <at> debbugs.gnu.org>; Fri, 05 Jan 2018 11:54:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=Ni5b9loPZ2NzbznjJU1A4UiSoOjRm0pVKav1MK37CeA=;
 b=Ugzp1fJzhzYx4OzXP8z6rMABHWE6ET6c+ZGREin7mWP4KhXbzKr+BG62r0CxAl60U+
 UeFQ32q469YcBX1vFi0D8eVBt2MRjiG64EYkr/Nf+ymOr4DOBjU79LAnBA/afCt3qS6f
 0iWsz+Pz7rKqMMPDkn5kyx0FSIm7yludB+M1i4XzqTCTbTB/xQAjCYAMuQxdjuk2STcM
 xkSIP+u972H5oD1N4OGCU98VUhMtI4Te7q2uc9o06oowypRNkqLJlHr7SmDQFpnlcBMV
 R6FXxw31xg8XYP5UslKvUJxF3Z9nb9y/jkFlLII9YDXh0BskDQRGuJeDbNQgXPirvZ2i
 7KBQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=Ni5b9loPZ2NzbznjJU1A4UiSoOjRm0pVKav1MK37CeA=;
 b=F5kMWK2byDGXsb0Z6qB4gFsPCF4Z4C53hCfGIWm2oknGxCXm+2X8rPGGJaR3WPNzVA
 EpMgu2oADYbvr2rDu282eO+Ds6H1Eoe/h69zh9YT7aAqZdERqLv1Fi08gGls1eH6zqXA
 bsMuIGleAF2RmpWWCBGSxqy7b+JwRXZvSmsNk5tDDtam8Qa6+wqdnB1wy44M3cYB5thL
 oyRyLsFSq0oa3BTrBrUOfb0s9zkZ++e44jOJ32xjcrAYNw3/v/7MDYymMC78qcYuZ5h3
 T6Agh8ZMAxBZDoioL1WJd8Os8/EMHRkDAoOksFNjT426rwczxGeyojl65Hz3p2HKD2g5
 RtsA==
X-Gm-Message-State: AKGB3mJH08jdIIINgZuzSUKXohL2EepbwOqVcdlVUEAF0xzkRRamxShi
 VN16kMvFi9DD+HDLdbVH2RfckZ4NUlRdTWQ+Opo=
X-Google-Smtp-Source: ACJfBovKKjDSb71ZZZcIMIMjBkk4Jkv70wsdBcyXb5QHg6HStadMlmWODeKVuX0YQ41dpChViqH3wTq5AMcaMLRUZ+4=
X-Received: by 10.28.232.208 with SMTP id f77mr3392409wmi.160.1515182042159;
 Fri, 05 Jan 2018 11:54:02 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.145.129 with HTTP; Fri, 5 Jan 2018 11:54:01 -0800 (PST)
In-Reply-To: <83mv1s9jq2.fsf@HIDDEN>
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 <83shbk9vzy.fsf@HIDDEN>
 <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
 <83po6o9ngh.fsf@HIDDEN>
 <CAM-tV-9nety9QBQzvPF4agbrgw+GSZ_YzuW6ufquNQRkH+2gaQ@HIDDEN>
 <83mv1s9jq2.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Fri, 5 Jan 2018 14:54:01 -0500
X-Google-Sender-Auth: DcWk55lTMwCcUYQejNkDMEvTekw
Message-ID: <CAM-tV--TbDFfBXhWV1yz-Ab1wCtOh7N_mu+hZthU+Mp-OoYYeQ@HIDDEN>
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org, Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Fri, Jan 5, 2018 at 2:41 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>> From: Noam Postavsky <npostavs@HIDDEN>
>> Date: Fri, 5 Jan 2018 13:29:49 -0500
>> Cc: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>, 29972 <at> debbugs.gnu.org
>>
>> Would it help if define-minor-mode recorded what the
>> variable/expression is (e.g., by putting a property on the function
>> symbol)?
>
> Not sure what should desktop.el do with that.  Loop on all symbols in
> obarray looking for those with that property?

I thought looping over symbols in minor-mode-list would make sense.

(I see describe-mode only takes minor modes which have function and
variable using the same symbol)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 19:41:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 14:41:58 2018
Received: from localhost ([127.0.0.1]:37326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXXsM-0006Ga-J6
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 14:41:58 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eXXsK-0006GL-Aw
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 14:41:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eXXsA-0008BX-56
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 14:41:50 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36970)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eXXs9-0008B5-MU; Fri, 05 Jan 2018 14:41:45 -0500
Received: from [176.228.60.248] (port=1389 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eXXs9-0000Tz-2I; Fri, 05 Jan 2018 14:41:45 -0500
Date: Fri, 05 Jan 2018 21:41:25 +0200
Message-Id: <83mv1s9jq2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <CAM-tV-9nety9QBQzvPF4agbrgw+GSZ_YzuW6ufquNQRkH+2gaQ@HIDDEN>
 (message from Noam Postavsky on Fri, 5 Jan 2018 13:29:49 -0500)
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 <83shbk9vzy.fsf@HIDDEN>
 <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
 <83po6o9ngh.fsf@HIDDEN>
 <CAM-tV-9nety9QBQzvPF4agbrgw+GSZ_YzuW6ufquNQRkH+2gaQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org, wyuenho@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Fri, 5 Jan 2018 13:29:49 -0500
> Cc: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>, 29972 <at> debbugs.gnu.org
> 
> Would it help if define-minor-mode recorded what the
> variable/expression is (e.g., by putting a property on the function
> symbol)?

Not sure what should desktop.el do with that.  Loop on all symbols in
obarray looking for those with that property?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 18:38:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 13:38:08 2018
Received: from localhost ([127.0.0.1]:37298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXWsa-0000uy-1u
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 13:38:08 -0500
Received: from aserp2120.oracle.com ([141.146.126.78]:47308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1eXWsY-0000uX-Lw
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 13:38:07 -0500
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.21/8.16.0.21) with SMTP id w05IWYu9173436;
 Fri, 5 Jan 2018 18:37:56 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2017-10-26;
 bh=dRMrS2Mp483KrSk/ztkJijPCS+DO5zfbX/53zZ2xn3Q=;
 b=iKfVvZNiOOMoXaE6PGBYHOjwEGje55sq6ypMmIBH9TV11RKZ1pEmJefMvLObzpaEDTYV
 CYOWN5rc8o0m9Ez+lFOpSPnCy3TTFdb8SXVPC76Pps+ms/+cIxKD/GKnBipHeZUDI+sP
 +GWfwQEsciYhUc2DEAgVhYi0MljcARbVIIxkxNvI6wUuKTlGc0lU2sWMGlwqEROolskI
 rJZ+vBewWZVypCwGupDkDs5qKnwlxTGeunc6bLK7AMaSXWeS7enVlSlbboGsE/dUX6iT
 cSM2os8wqsMGGX5uOF4t9hJMEmYhLLTzkc8Eik2OlNXgqBS9gaSZ3Keg1ExECvQXwmTh NA== 
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by aserp2120.oracle.com with ESMTP id 2fadaarcyn-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 05 Jan 2018 18:37:56 +0000
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0022.oracle.com (8.14.4/8.14.4) with ESMTP id w05IbtUd008957
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Fri, 5 Jan 2018 18:37:55 GMT
Received: from abhmp0011.oracle.com (abhmp0011.oracle.com [141.146.116.17])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id w05IbtBT022691;
 Fri, 5 Jan 2018 18:37:55 GMT
MIME-Version: 1.0
Message-ID: <c5c32b7f-762c-49a9-a1b1-4a7d460aa5f2@default>
Date: Fri, 5 Jan 2018 10:37:54 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>, Eli Zaretskii
 <eliz@HIDDEN>
Subject: RE: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 <83shbk9vzy.fsf@HIDDEN>
 <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
 <83po6o9ngh.fsf@HIDDEN>
 <CAM-tV-9nety9QBQzvPF4agbrgw+GSZ_YzuW6ufquNQRkH+2gaQ@HIDDEN>
In-Reply-To: <CAM-tV-9nety9QBQzvPF4agbrgw+GSZ_YzuW6ufquNQRkH+2gaQ@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4627.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=8765
 signatures=668651
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=512
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1711220000 definitions=main-1801050258
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org, Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

`describe-mode' uses `minor-mode-list' (`list', not
`alist') to determine which minor modes are active
in the current buffer.

It also uses `minor-mode-alist', because of what
this comment says:

;; Older packages do not register in minor-mode-list
;; but only in `minor-mode-alist'.

The code that determines which minor modes are
active in the current buffer could be factored
out into a separate funtion, and that could be
used, for example, by desktop.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 18:29:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 13:29:58 2018
Received: from localhost ([127.0.0.1]:37280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXWkf-0000gi-RD
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 13:29:58 -0500
Received: from mail-wm0-f48.google.com ([74.125.82.48]:40091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1eXWkd-0000gO-ML
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 13:29:56 -0500
Received: by mail-wm0-f48.google.com with SMTP id f206so4024392wmf.5
 for <29972 <at> debbugs.gnu.org>; Fri, 05 Jan 2018 10:29:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=yNU/UTqxK09UOEV/ca2aCA06XedJz08YzcCWfzS2PSg=;
 b=vQQAg79RdqFlnQAIspo8Amtrgy8W1qP7snUHROtAuf3V1dsHN2yf+IZ/781yY3Hq49
 MqhGNoH5OypqIiYEaeQKDBisZDaEu/WdtDdZkujIo0u+dwVtxVHGtoeq4RNRMhG+FEnQ
 S/p91my9GaAIBPreQDFPbk0D83clhD8mMywkvfahaJ7JN0/ZqQvCvQbNdEXxHZuJnHqS
 Sa8ipmtGbPqeE4oXDWa63adGfSfoSOplURl2wyhjHB/ebUdc9PMexuA4JOQQvr3IkvAC
 VaehCnTDMF9zPSiypJ6x/vCitfjfIfXTFspC9PwcbC1kRAbHc9D88cWf5btIROJEjDcb
 XiAQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=yNU/UTqxK09UOEV/ca2aCA06XedJz08YzcCWfzS2PSg=;
 b=artynn7WJsm9X+lVZNFc3+bkd7W0GpTVAyTK6x0b21SozW2fBjM9eIBK4naeUDNCxM
 OIghMwBr+wKG5E6d6pAAGxnSjp1bNqiBVk13O6VlrlnK1pqW6ai9aVOEBTGLW1sj/afJ
 FVrkBT/QzR+FCN95mhytLkYTyNalET8oqsi7Lun1YTBNsHAxP9Wa4MncPhWCQP/WJz6W
 akz9wgIKEm22i7Sd3mts9vWTG96DB3nu4Xh0RPEzuHjUrp4yVZl45ulawZ5kLM0IZ+H1
 /ApdZ9ABRRnoblsAlQycQuScwBXuap+bmReBs/t0z+beAk07DD/QuWJUOLV3iPbW454k
 myYg==
X-Gm-Message-State: AKGB3mJd+SB5XXJynVHhED5amyicaSI7fA6JR0wqV7ofAPOEuIdm7CZb
 UIbDDHWmsw+XJwluMzUYzem3IzzeoWVJaWtw8nQ=
X-Google-Smtp-Source: ACJfBouf9lIFlGI/xMyEhs//H31mPoxJud07+Z/3N5Sbmh9/5+pvMgas8psauexrFURZp15yLfXDDpM+/TA99yhE/kQ=
X-Received: by 10.28.241.18 with SMTP id p18mr2955295wmh.96.1515176989833;
 Fri, 05 Jan 2018 10:29:49 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.145.129 with HTTP; Fri, 5 Jan 2018 10:29:49 -0800 (PST)
In-Reply-To: <83po6o9ngh.fsf@HIDDEN>
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 <83shbk9vzy.fsf@HIDDEN>
 <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
 <83po6o9ngh.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Fri, 5 Jan 2018 13:29:49 -0500
X-Google-Sender-Auth: DtC8Fe63W14Os8c595uuaKg5iXY
Message-ID: <CAM-tV-9nety9QBQzvPF4agbrgw+GSZ_YzuW6ufquNQRkH+2gaQ@HIDDEN>
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org, Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Fri, Jan 5, 2018 at 1:20 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>> From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
>> Date: Fri, 5 Jan 2018 17:42:49 +0000
>> Cc: 29972 <at> debbugs.gnu.org
>>
>> The fundamental reason appears to be desktop.el needs an efficient and reliable way to know what buffer
>> local variables are minor modes, since `minor-mode-list` is just a global list of loaded minor-modes,
>> `minor-mode-alist` is as close as you get.
>
> So maybe desktop.el should have defcustom with the list of minor
> modes, whose default value is computed from minor-mode-alist, but
> which users could customize to add any additional minor modes?

Would it help if define-minor-mode recorded what the
variable/expression is (e.g., by putting a property on the function
symbol)?
This could also be useful for define-globalized-minor-mode (see
Bug#29081 - for which the current suggestion is to do without that,
but if such a thing has two uses, it will likely be helpful in even
more situations).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 18:21:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 13:21:18 2018
Received: from localhost ([127.0.0.1]:37271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXWcI-0000Uk-9g
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 13:21:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eXWcG-0000UY-Eu
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 13:21:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eXWc6-0002rr-BU
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 13:21:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35917)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eXWc6-0002rc-7u; Fri, 05 Jan 2018 13:21:06 -0500
Received: from [176.228.60.248] (port=1344 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eXWc5-00053K-Ld; Fri, 05 Jan 2018 13:21:06 -0500
Date: Fri, 05 Jan 2018 20:20:46 +0200
Message-Id: <83po6o9ngh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
In-reply-to: <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
 (message from Jimmy Yuen Ho Wong on Fri, 5 Jan 2018 17:42:49 +0000)
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 <83shbk9vzy.fsf@HIDDEN>
 <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
> Date: Fri, 5 Jan 2018 17:42:49 +0000
> Cc: 29972 <at> debbugs.gnu.org
> 
> The fundamental reason appears to be desktop.el needs an efficient and reliable way to know what buffer
> local variables are minor modes, since `minor-mode-list` is just a global list of loaded minor-modes,
> `minor-mode-alist` is as close as you get.

So maybe desktop.el should have defcustom with the list of minor
modes, whose default value is computed from minor-mode-alist, but
which users could customize to add any additional minor modes?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 17:43:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 12:43:18 2018
Received: from localhost ([127.0.0.1]:37263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXW1W-00085a-6y
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 12:43:18 -0500
Received: from mail-wm0-f48.google.com ([74.125.82.48]:38919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyuenho@HIDDEN>) id 1eXW1U-00085M-De
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 12:43:16 -0500
Received: by mail-wm0-f48.google.com with SMTP id i11so3813574wmf.4
 for <29972 <at> debbugs.gnu.org>; Fri, 05 Jan 2018 09:43:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=60mMPJ4tWd+mO8fs6ITwDygEE88L4AYniqQTcdxbEns=;
 b=S2eD33phnKSkvzyzlAJ4xLZgL/sAjYaQiqeCoSlwwZaTlC4A4YiaiuSQVDjvGlHsUS
 TFSku3/aZYu4/PVL4Mc4++zF4ygU5Q1VfFJuSFhZVWcOUDboxTTgoTNJCvmH69aic453
 0IfKuUGhuhOsDctheyr/tkltjyyrCN8ZvsEHIg0cDlfbQg0/m6qEZuIwo7F/YxVSqRR7
 ZxbLSt2OXejYdnPeUJ29Dbvn1hYcvxWY7Yxh6FPHF/KlPihM/eqBX3o9TKD/uhrR/1S5
 nTfg3CjMq8PcbTJaB5kUxzbvXZYFcoQNc/iaHDOvCZ6c7XF16VzZ2KBOgVsKx34vbn08
 BAeQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=60mMPJ4tWd+mO8fs6ITwDygEE88L4AYniqQTcdxbEns=;
 b=s/DcBNBaNhWW71eg3nhE68ts5wYIr5oXwPOWnBuMNvqOSks8QWvRTHA/4QN7zEg1P4
 La0IMwVXcrIURm0dS2inEO1GHdQuXCccUtXQQNKyaFZKKrQ4qll35vHPK/JIvhICKDew
 vzfXu79daBcEoa1RzJAKN7tX2pPU/gbPf1YK21ieHMw1Np1x7s9ukhV5Ptet4XD8QCYn
 Jf6t11xSLZr5YvvwA4XFJthNl6xMMklxfR3xpWguYeQBHrzqUP5+wQ/e5x+BDJT4hyS4
 4wsuO4uhsmUWZ9wq/4YNuVJREMjxohjqi/dSXOCmzMqwJI3JKRS7cNx2vpGeZgOI+s61
 pSCQ==
X-Gm-Message-State: AKGB3mI5+QLyutZ6IFL9wHuji7kOURaW3f1A+70q6GrY8wpbWfD63zDH
 jehED6VxQxO7JwwjTrPvSMug1gFkfwADtXcb52Y=
X-Google-Smtp-Source: ACJfBouBXByUs3fwSLGG8zA/9vtFVBpYuX3JklscIkUvRsLm+SsfnM0vXzmgKRBCEmgFZM8H7ihnUJFUWI7C74YZlkg=
X-Received: by 10.28.142.2 with SMTP id q2mr3108158wmd.33.1515174190352; Fri,
 05 Jan 2018 09:43:10 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.196.199 with HTTP; Fri, 5 Jan 2018 09:42:49 -0800 (PST)
In-Reply-To: <83shbk9vzy.fsf@HIDDEN>
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 <83shbk9vzy.fsf@HIDDEN>
From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
Date: Fri, 5 Jan 2018 17:42:49 +0000
Message-ID: <CAKDRQS4V3Swz4m2DHwEMMATQvbjBW-dzPVwYTN4niRg3jypTTg@HIDDEN>
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="001a114984fc63919705620afb9b"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--001a114984fc63919705620afb9b
Content-Type: text/plain; charset="UTF-8"

> Because minor-mode-alist is for displaying an indication of a minor
mode in the mode line?

Right, but there doesn't appear to be any other more reliable way to know
what minor mode is active in a buffer. An alternative I can think of is see
if there's buffer local variable that also exists in `minor-mode-list`, but
that's still not reliable, hence we have these `desktop-minor-mode-*` vars.

The fundamental reason appears to be desktop.el needs an efficient and
reliable way to know what buffer local variables are minor modes, since
`minor-mode-list` is just a global list of loaded minor-modes,
`minor-mode-alist` is as close as you get.

If my patch make it in, it will not be the first minor mode in emacs that
defines an empty string lighter. `xref`, `linum`, `erc-track` and `rcirc`
all do this. There are even more examples in the wild. I have at least 8
other packages in my ~/.emacs.d/elpa that do the same thing.

I agree, however, that this is an abuse. There should be perhaps some
buffer local variable called `buffer-minor-modes`, but I think this should
be a separate issue and a new feature, so perhaps wait til after 26.1?


On Fri, Jan 5, 2018 at 3:16 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
> > Date: Fri, 05 Jan 2018 15:02:21 +0000
> > Cc: 29972 <at> debbugs.gnu.org
> >
> > Actually I would question why we have minor modes not added to
> minor-mode-alist at all just because both
> > lighter and keymap are missing.
>
> Because minor-mode-alist is for displaying an indication of a minor
> mode in the mode line?
>
> > What do you think about changing define-minor-mode?
>
> IMO, a better idea is to find out why desktop.el requires a minor mode
> to be in minor-mode-alist before it saves it.  Is there really a
> justification for that?
>

--001a114984fc63919705620afb9b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">&gt;=C2=A0<span style=3D"color:rgb(0,0,0);font-size:12.8px=
">Because minor-mode-alist is for displaying an indication of a minor</span=
><br style=3D"color:rgb(0,0,0);font-size:12.8px"><span style=3D"color:rgb(0=
,0,0);font-size:12.8px">mode in the mode line?</span><div><span style=3D"co=
lor:rgb(0,0,0);font-size:12.8px"><br></span></div><div><span style=3D"color=
:rgb(0,0,0);font-size:12.8px">Right, but there doesn&#39;t appear to be any=
 other more reliable way to know what minor mode is active in a buffer. An =
alternative I can think of is see if there&#39;s buffer local variable that=
 also exists in `minor-mode-list`, but that&#39;s still not reliable, hence=
 we have these `desktop-minor-mode-*` vars.</span></div><div><span style=3D=
"color:rgb(0,0,0);font-size:12.8px"><br></span></div><div><font color=3D"#0=
00000"><span style=3D"font-size:12.8px">The fundamental reason appears to b=
e desktop.el needs an efficient=C2=A0and reliable way to know what buffer l=
ocal variables are minor modes, since `minor-mode-list` is just a global li=
st of loaded minor-modes, `minor-mode-alist` is as close as you get.</span>=
</font></div><div><br></div><div><font color=3D"#000000"><span style=3D"fon=
t-size:12.8px">If my patch make it in, it will not be the first minor mode =
in emacs that defines an empty string lighter. `xref`, `linum`, `erc-track`=
 and `rcirc` all do this. There are even more examples in the wild. I have =
at least 8 other packages in my ~/.emacs.d/elpa that do the same thing.<br>=
<br></span></font></div><div><div><font color=3D"#000000"><span style=3D"fo=
nt-size:12.8px">I agree, however, that this is an abuse. There should be pe=
rhaps some buffer local variable called `buffer-minor-modes`, but I think t=
his should be a separate=C2=A0issue and a new feature, so perhaps wait til =
after 26.1?</span></font></div></div><div><font color=3D"#000000"><span sty=
le=3D"font-size:12.8px"><br></span></font></div></div><div class=3D"gmail_e=
xtra"><br><div class=3D"gmail_quote">On Fri, Jan 5, 2018 at 3:16 PM, Eli Za=
retskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_bl=
ank">eliz@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote=
" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><=
span class=3D"">&gt; From: Jimmy Yuen Ho Wong &lt;<a href=3D"mailto:wyuenho=
@gmail.com">wyuenho@HIDDEN</a>&gt;<br>
</span>&gt; Date: Fri, 05 Jan 2018 15:02:21 +0000<br>
&gt; Cc: <a href=3D"mailto:29972 <at> debbugs.gnu.org">29972 <at> debbugs.gnu.org</a>=
<br>
<span class=3D"">&gt;<br>
&gt; Actually I would question why we have minor modes not added to minor-m=
ode-alist at all just because both<br>
&gt; lighter and keymap are missing.<br>
<br>
</span>Because minor-mode-alist is for displaying an indication of a minor<=
br>
mode in the mode line?<br>
<span class=3D""><br>
&gt; What do you think about changing define-minor-mode?<br>
<br>
</span>IMO, a better idea is to find out why desktop.el requires a minor mo=
de<br>
to be in minor-mode-alist before it saves it.=C2=A0 Is there really a<br>
justification for that?<br>
</blockquote></div><br></div>

--001a114984fc63919705620afb9b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 15:16:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 10:16:57 2018
Received: from localhost ([127.0.0.1]:37153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXTjs-0004jD-DS
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 10:16:56 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eXTjq-0004iz-64
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 10:16:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eXTji-0003SM-Fw
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 10:16:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60066)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eXTji-0003S7-Bq; Fri, 05 Jan 2018 10:16:46 -0500
Received: from [176.228.60.248] (port=1196 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eXTjg-00045t-M5; Fri, 05 Jan 2018 10:16:46 -0500
Date: Fri, 05 Jan 2018 17:16:17 +0200
Message-Id: <83shbk9vzy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
In-reply-to: <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
 (message from Jimmy Yuen Ho Wong on Fri, 05 Jan 2018 15:02:21 +0000)
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
 <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
> Date: Fri, 05 Jan 2018 15:02:21 +0000
> Cc: 29972 <at> debbugs.gnu.org
> 
> Actually I would question why we have minor modes not added to minor-mode-alist at all just because both
> lighter and keymap are missing.

Because minor-mode-alist is for displaying an indication of a minor
mode in the mode line?

> What do you think about changing define-minor-mode?

IMO, a better idea is to find out why desktop.el requires a minor mode
to be in minor-mode-alist before it saves it.  Is there really a
justification for that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 15:02:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 10:02:41 2018
Received: from localhost ([127.0.0.1]:37139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXTW4-0004PG-9a
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 10:02:41 -0500
Received: from mail-wm0-f46.google.com ([74.125.82.46]:45278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyuenho@HIDDEN>) id 1eXTW2-0004P2-32
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 10:02:38 -0500
Received: by mail-wm0-f46.google.com with SMTP id 9so2934772wme.4
 for <29972 <at> debbugs.gnu.org>; Fri, 05 Jan 2018 07:02:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=4PtMitt70Cqa2Cd+Kh5vFpEXbfxxPn4cKA6V5De/KAc=;
 b=QRVfrCFciBtFB9AQqWtqSbWyxwvouCeQ8924p4eRuVCPrYROJuaEbJEnFM3znuqSgq
 RGVJgV0ovUExhaKlNX7slM6Dq0chuignG6ITy1h9JIX/osj80zyo48vPbHfGxbyNoecg
 62RxtsJzUOmalK3UKijWOy8vjsooGd8Wy+VDc2XqWHICf9iqsjyvT/nF57jfTrIaW5xN
 5wttYUu/zdfcgMavPgsmbsk4AVXbv8xmnl49Ow4Qx+Rz7j38UjWQUDpFXjqJBybFbFjs
 JoMtJX1zRkYtgNRM7gJdEoWCFGdJ2AuhXb9FDsdmmwasv+N74QLSjrYPqPG4SxC0Idqw
 wiZg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=4PtMitt70Cqa2Cd+Kh5vFpEXbfxxPn4cKA6V5De/KAc=;
 b=Lm2TrLWzmYypV/70KZmxCLZXhdyMAO9egECXfSX8sHUpUy6Ejo9WJ94DwYulr5buJd
 uXd/I/um/YAz4xM0p68xuj9ddbo9mMXY3GT/dMA+TJGgF6Egic4H3i2d/4aZmlP/LJeB
 GxvxySvcdCokBz4HSYGx8xAglaF8GSIl/clYQ3B9Z7VyqiZi/29EiMhgNMdwZ+DrDR7w
 c0mBHAEwLuKjF28Cxq4e7JfGZ4gWb5V0B4lQFBlFkq7Zfz4lrrf+vncIdof39lYZfLwc
 FJleW7X94OMuGc5Apc/5deRJt3L7y7I+V29w9ISOSga5+H2EjKfi5wTGe3ID++A0drAR
 vgiA==
X-Gm-Message-State: AKGB3mLtdN1ErB1nwwy5DI7HwWdgLmZHXEAm0Rm9R8psS9B2QiUr20WN
 zNQyC7z6YNypoZak+j20cAqLpjIlTow3FP9rlSE=
X-Google-Smtp-Source: ACJfBouIBpL+s0VAIKIg+LMz853PvGN1EaRh/Om4sbfaUFSsbN0ruEc7XnbKCWZ2NrGi+k5gN4A3uys/9E16At4cfS0=
X-Received: by 10.28.194.138 with SMTP id s132mr2332500wmf.129.1515164552053; 
 Fri, 05 Jan 2018 07:02:32 -0800 (PST)
MIME-Version: 1.0
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 <83wp0w9ybt.fsf@HIDDEN>
In-Reply-To: <83wp0w9ybt.fsf@HIDDEN>
From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
Date: Fri, 05 Jan 2018 15:02:21 +0000
Message-ID: <CAKDRQS7+v9jq7fBshJM3GFuVn1dJ+dDV4RnAvuZfSd0zekzLtg@HIDDEN>
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="001a1148d5b2e6c915056208bc46"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--001a1148d5b2e6c915056208bc46
Content-Type: text/plain; charset="UTF-8"

Actually I would question why we have minor modes not added to
minor-mode-alist at all just because both lighter and keymap are missing.

What do you think about changing define-minor-mode?
On Fri, 5 Jan 2018 at 2:26 pm, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
> > Date: Fri, 5 Jan 2018 13:08:35 +0000
> > Cc: 29972 <at> debbugs.gnu.org
> >
> > I don't believe so. I've looked at a number of approaches.
> >
> > 1. `desktop-minor-mode-handlers` on desktop-read
> >     Not going to be consulted unless `dired-hide-details-mode` is saved
> as a buffer minor mode.
> > 2. `desktop-minor-mode-table` on desktop-save
> >     If `dired-hide-details-mode` is not in `minor-mode-alist`,
> `desktop-minor-mode-table` will not even be
> > consulted.
> > 3. `desktop-locals-to-save`
> >     This does save the minor mode local variable to the desktop file,
> but desktop won't be able to restore the
> > minor mode because minor modes are activated before buffer local
> variables are restored, not after.
> >
> > So the only choices left to me are:
> > - :lighter ""
> > - (add-minor-mode 'dired-hide-details-mode "")
> >
> > Either way adds an empty string as a lighter, and the second option
> makes you ask why you are declaring
> > *and* adding a minor mode, so I picked the first option. It's more
> concise.
>
> Then maybe we need a new, more thorough customization facility for
> desktop.el, or a change in the facilities you tried to make them
> handle this case as well.  It doesn't sound right to me to make tricky
> changes in a minor mode just so it could be restored by desktop.el.
>

--001a1148d5b2e6c915056208bc46
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Actually I would question why we have minor modes not added to minor-mode-a=
list at all just because both lighter and keymap are missing.<br><br>What d=
o you think about changing define-minor-mode?<br><div class=3D"gmail_quote"=
><div dir=3D"ltr">On Fri, 5 Jan 2018 at 2:26 pm, Eli Zaretskii &lt;<a href=
=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br></div><blockquote c=
lass=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;=
padding-left:1ex">&gt; From: Jimmy Yuen Ho Wong &lt;<a href=3D"mailto:wyuen=
ho@HIDDEN" target=3D"_blank">wyuenho@HIDDEN</a>&gt;<br>
&gt; Date: Fri, 5 Jan 2018 13:08:35 +0000<br>
&gt; Cc: <a href=3D"mailto:29972 <at> debbugs.gnu.org" target=3D"_blank">29972@d=
ebbugs.gnu.org</a><br>
&gt;<br>
&gt; I don&#39;t believe so. I&#39;ve looked at a number of approaches.<br>
&gt;<br>
&gt; 1. `desktop-minor-mode-handlers` on desktop-read<br>
&gt;=C2=A0 =C2=A0 =C2=A0Not going to be consulted unless `dired-hide-detail=
s-mode` is saved as a buffer minor mode.<br>
&gt; 2. `desktop-minor-mode-table` on desktop-save<br>
&gt;=C2=A0 =C2=A0 =C2=A0If `dired-hide-details-mode` is not in `minor-mode-=
alist`, `desktop-minor-mode-table` will not even be<br>
&gt; consulted.<br>
&gt; 3. `desktop-locals-to-save`<br>
&gt;=C2=A0 =C2=A0 =C2=A0This does save the minor mode local variable to the=
 desktop file, but desktop won&#39;t be able to restore the<br>
&gt; minor mode because minor modes are activated before buffer local varia=
bles are restored, not after.<br>
&gt;<br>
&gt; So the only choices left to me are:<br>
&gt; - :lighter &quot;&quot;<br>
&gt; - (add-minor-mode &#39;dired-hide-details-mode &quot;&quot;)<br>
&gt;<br>
&gt; Either way adds an empty string as a lighter, and the second option ma=
kes you ask why you are declaring<br>
&gt; *and* adding a minor mode, so I picked the first option. It&#39;s more=
 concise.<br>
<br>
Then maybe we need a new, more thorough customization facility for<br>
desktop.el, or a change in the facilities you tried to make them<br>
handle this case as well.=C2=A0 It doesn&#39;t sound right to me to make tr=
icky<br>
changes in a minor mode just so it could be restored by desktop.el.<br>
</blockquote></div>

--001a1148d5b2e6c915056208bc46--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 14:26:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 09:26:41 2018
Received: from localhost ([127.0.0.1]:36413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXSxE-0001V2-P7
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 09:26:41 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eXSxD-0001Up-Ap
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 09:26:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eXSx3-0005er-4o
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 09:26:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59168)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eXSx3-0005eh-1o; Fri, 05 Jan 2018 09:26:29 -0500
Received: from [176.228.60.248] (port=4883 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eXSx1-0004Ha-4W; Fri, 05 Jan 2018 09:26:28 -0500
Date: Fri, 05 Jan 2018 16:25:58 +0200
Message-Id: <83wp0w9ybt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
In-reply-to: <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
 (message from Jimmy Yuen Ho Wong on Fri, 5 Jan 2018 13:08:35 +0000)
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
 <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
> Date: Fri, 5 Jan 2018 13:08:35 +0000
> Cc: 29972 <at> debbugs.gnu.org
> 
> I don't believe so. I've looked at a number of approaches.
> 
> 1. `desktop-minor-mode-handlers` on desktop-read
>     Not going to be consulted unless `dired-hide-details-mode` is saved as a buffer minor mode.
> 2. `desktop-minor-mode-table` on desktop-save
>     If `dired-hide-details-mode` is not in `minor-mode-alist`, `desktop-minor-mode-table` will not even be
> consulted.
> 3. `desktop-locals-to-save`
>     This does save the minor mode local variable to the desktop file, but desktop won't be able to restore the
> minor mode because minor modes are activated before buffer local variables are restored, not after.
> 
> So the only choices left to me are:
> - :lighter ""
> - (add-minor-mode 'dired-hide-details-mode "")
> 
> Either way adds an empty string as a lighter, and the second option makes you ask why you are declaring
> *and* adding a minor mode, so I picked the first option. It's more concise.

Then maybe we need a new, more thorough customization facility for
desktop.el, or a change in the facilities you tried to make them
handle this case as well.  It doesn't sound right to me to make tricky
changes in a minor mode just so it could be restored by desktop.el.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 5 Jan 2018 13:09:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 08:09:03 2018
Received: from localhost ([127.0.0.1]:36392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eXRk7-0008CF-K6
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2018 08:09:03 -0500
Received: from mail-wm0-f51.google.com ([74.125.82.51]:39275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyuenho@HIDDEN>) id 1eXRk6-0008Bj-5L
 for 29972 <at> debbugs.gnu.org; Fri, 05 Jan 2018 08:09:02 -0500
Received: by mail-wm0-f51.google.com with SMTP id i11so2378974wmf.4
 for <29972 <at> debbugs.gnu.org>; Fri, 05 Jan 2018 05:09:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=+dosd5imfcLzG2gj5CkLMeUdwIshVY2nD81xaNBudSw=;
 b=PBD74zNe4UXT4mf8Kv4Nh30xNT4ckhQrOMJxoUpWgyo7qePeA0YFh9NgXowrCa/45p
 9IFGmtCIlpfKRbrp/zhBL0ZdVTQJcnwb0jwyt+Svc9QxqeA05Sa/GcieOJcef+iNBaVP
 OzNkgqfJHORPA7qVcXdfJr7zCnrBwpykkZlvNjC4V3sQsnLn9K23Oh0fwiyheB8r6Pyj
 rcBBjK0nGuRoO2osYIjOnkYBizZ6pSNoSx63r6q741ZQKsLBprlNZsyOLrxGGJL5exVQ
 P1wai26+eQE8dkuhH5acfZ3npnRY0YS6lV33T3ffepfZscE9EvdEpMDeLy4nWJKloiVX
 /dyA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=+dosd5imfcLzG2gj5CkLMeUdwIshVY2nD81xaNBudSw=;
 b=grEubS7F80t2INkOvYaCiEVcc6PTEeL/6aVTT2WxDYx/aFS2Md63j49y38ZP6Kx7KE
 eEiQO1aNJeDYqJCloCoHShop/yYwA9cps8nLhmw0BRqWEchjpX2m72h53IIR9MkV5JRg
 ojuGA5gESxc5auRc5VschMFMK9qw2bBQMW5JcUiBHT6Tdk/8dF7HQPEopK5POZ/dg1KZ
 ocBN+R2cIzXXJd+/ckStHEEsEB8NPhkD+phA0mb/rStWc5alR7ExjceZoGCyZu/h/pH2
 RIMxSyKQqJGW7l/4PamDb/XCoa8VNsTZl4AYiPCUvJywFwsCOwa799myzAHgOFHEPyjG
 burg==
X-Gm-Message-State: AKGB3mLv87IsOQmEy6/MJ4fTuyOlg+NyauI1puEq8gbi/h+B1f6ZxEAh
 0A3Q52hNUlfLOTzzRa8M1ZkrgBDVjrRYuvSVQ0g=
X-Google-Smtp-Source: ACJfBosOuhfstn7QmKKSEYM8edJ7rxLRCLnO5eXY+Di4NaV+FJxzGNk8dz5O1gelMRXW8mh9zqPD1Z7BpQOJDKVeotA=
X-Received: by 10.28.142.2 with SMTP id q2mr2459079wmd.33.1515157736216; Fri,
 05 Jan 2018 05:08:56 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.196.199 with HTTP; Fri, 5 Jan 2018 05:08:35 -0800 (PST)
In-Reply-To: <83d12pbmol.fsf@HIDDEN>
References: <m28tdezavi.fsf@HIDDEN> <83d12pbmol.fsf@HIDDEN>
From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
Date: Fri, 5 Jan 2018 13:08:35 +0000
Message-ID: <CAKDRQS4OWQL9-OJWFN_w-Z2_B9Hdh1HgN=iE-qnVkSHEfEg3pA@HIDDEN>
Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in
 desktop session
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="001a114984fca55dda0562072630"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--001a114984fca55dda0562072630
Content-Type: text/plain; charset="UTF-8"

I don't believe so. I've looked at a number of approaches.

1. `desktop-minor-mode-handlers` on desktop-read
    Not going to be consulted unless `dired-hide-details-mode` is saved as
a buffer minor mode.
2. `desktop-minor-mode-table` on desktop-save
    If `dired-hide-details-mode` is not in `minor-mode-alist`,
`desktop-minor-mode-table` will not even be consulted.
3. `desktop-locals-to-save`
    This does save the minor mode local variable to the desktop file, but
desktop won't be able to restore the minor mode because minor modes are
activated before buffer local variables are restored, not after.

So the only choices left to me are:
- :lighter ""
- (add-minor-mode 'dired-hide-details-mode "")

Either way adds an empty string as a lighter, and the second option makes
you ask why you are declaring *and* adding a minor mode, so I picked the
first option. It's more concise.

Jimmy Wong

On Thu, Jan 4, 2018 at 4:42 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Yuen Ho Wong <wyuenho@HIDDEN>
> > Date: Thu, 04 Jan 2018 01:11:13 +0000
> >
> > How to reproduce:
> > 1. Turn on `desktop-save-mode`
> > 2. dired some directory
> > 3. Press `(` to turn on `dired-hide-details-mode`
> > 4. C-x C-c, when asked to save desktop, choose yes
> > 5. Launch emacs again, desktop restored the dired buffer but not
> > `dired-hide-details-mode`
> >
> > What went wrong:
> > `dired-hide-details-mode`'s definition does not declare a lighter or a
> > keymap, thus it is not added to `minor-mode-alist` by
> > `define-minor-mode`. So when `desktop` tries to get the buffer's info to
> > save to `.emacs.desktop` via `desktop-buffer-info`,
> > `dired-hide-details-mode` does not exist, and thus not saved to the
> > session file.
> >
> > Fix:
> > Just declare an empty lighter. I've attached a patch for this.
>
> Can't you instead customize desktop-locals-to-save?
>

--001a114984fca55dda0562072630
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I don&#39;t believe so. I&#39;ve looked at a number of app=
roaches.<div><br></div><div>1. `desktop-minor-mode-handlers` on desktop-rea=
d</div><div>=C2=A0 =C2=A0 Not going to be consulted unless `dired-hide-deta=
ils-mode` is saved as a buffer minor mode.</div><div>2. `desktop-minor-mode=
-table` on desktop-save</div><div>=C2=A0 =C2=A0 If `dired-hide-details-mode=
` is not in `minor-mode-alist`, `desktop-minor-mode-table` will not even be=
 consulted.</div><div>3. `desktop-locals-to-save`</div><div>=C2=A0 =C2=A0 T=
his does save the minor mode local variable to the desktop file, but deskto=
p won&#39;t be able to restore the minor mode because minor modes are activ=
ated before buffer local variables are restored, not after.</div><div><br><=
/div><div>So the only choices left to me are:</div><div>- :lighter &quot;&q=
uot;</div><div>- (add-minor-mode &#39;dired-hide-details-mode &quot;&quot;)=
</div><div><br></div><div>Either way adds an empty string as a lighter, and=
 the second option makes you ask why you are declaring *and* adding a minor=
 mode, so I picked the first option. It&#39;s more concise.</div><div><br><=
/div><div>Jimmy Wong</div></div><div class=3D"gmail_extra"><br><div class=
=3D"gmail_quote">On Thu, Jan 4, 2018 at 4:42 PM, Eli Zaretskii <span dir=3D=
"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a=
>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 =
0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">&gt; From: Yuen Ho Wo=
ng &lt;<a href=3D"mailto:wyuenho@HIDDEN">wyuenho@HIDDEN</a>&gt;<br>
&gt; Date: Thu, 04 Jan 2018 01:11:13 +0000<br>
&gt;<br>
&gt; How to reproduce:<br>
&gt; 1. Turn on `desktop-save-mode`<br>
&gt; 2. dired some directory<br>
&gt; 3. Press `(` to turn on `dired-hide-details-mode`<br>
&gt; 4. C-x C-c, when asked to save desktop, choose yes<br>
&gt; 5. Launch emacs again, desktop restored the dired buffer but not<br>
&gt; `dired-hide-details-mode`<br>
&gt;<br>
&gt; What went wrong:<br>
&gt; `dired-hide-details-mode`&#39;s definition does not declare a lighter =
or a<br>
&gt; keymap, thus it is not added to `minor-mode-alist` by<br>
&gt; `define-minor-mode`. So when `desktop` tries to get the buffer&#39;s i=
nfo to<br>
&gt; save to `.emacs.desktop` via `desktop-buffer-info`,<br>
&gt; `dired-hide-details-mode` does not exist, and thus not saved to the<br=
>
&gt; session file.<br>
&gt;<br>
&gt; Fix:<br>
&gt; Just declare an empty lighter. I&#39;ve attached a patch for this.<br>
<br>
Can&#39;t you instead customize desktop-locals-to-save?<br>
</blockquote></div><br></div>

--001a114984fca55dda0562072630--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at 29972 <at> debbugs.gnu.org:


Received: (at 29972) by debbugs.gnu.org; 4 Jan 2018 16:42:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 04 11:42:26 2018
Received: from localhost ([127.0.0.1]:35877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eX8b4-0003b0-2H
	for submit <at> debbugs.gnu.org; Thu, 04 Jan 2018 11:42:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eX8b2-0003am-Dt
 for 29972 <at> debbugs.gnu.org; Thu, 04 Jan 2018 11:42:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eX8au-0002Cf-5b
 for 29972 <at> debbugs.gnu.org; Thu, 04 Jan 2018 11:42:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55599)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eX8au-0002C8-2E; Thu, 04 Jan 2018 11:42:16 -0500
Received: from [176.228.60.248] (port=3192 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eX8at-0000R8-Gy; Thu, 04 Jan 2018 11:42:15 -0500
Date: Thu, 04 Jan 2018 18:42:18 +0200
Message-Id: <83d12pbmol.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Yuen Ho Wong <wyuenho@HIDDEN>
In-reply-to: <m28tdezavi.fsf@HIDDEN> (message from Yuen Ho Wong on Thu, 
 04 Jan 2018 01:11:13 +0000)
Subject: Re: bug#29972: 25.3;
 dired-hide-details-mode does not persist in desktop session
References: <m28tdezavi.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29972
Cc: 29972 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Yuen Ho Wong <wyuenho@HIDDEN>
> Date: Thu, 04 Jan 2018 01:11:13 +0000
> 
> How to reproduce:
> 1. Turn on `desktop-save-mode`
> 2. dired some directory
> 3. Press `(` to turn on `dired-hide-details-mode`
> 4. C-x C-c, when asked to save desktop, choose yes
> 5. Launch emacs again, desktop restored the dired buffer but not
> `dired-hide-details-mode`
> 
> What went wrong:
> `dired-hide-details-mode`'s definition does not declare a lighter or a
> keymap, thus it is not added to `minor-mode-alist` by
> `define-minor-mode`. So when `desktop` tries to get the buffer's info to
> save to `.emacs.desktop` via `desktop-buffer-info`,
> `dired-hide-details-mode` does not exist, and thus not saved to the
> session file.
> 
> Fix:
> Just declare an empty lighter. I've attached a patch for this.

Can't you instead customize desktop-locals-to-save?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jan 2018 01:13:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 03 20:13:27 2018
Received: from localhost ([127.0.0.1]:34836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eWu62-0003ap-Bo
	for submit <at> debbugs.gnu.org; Wed, 03 Jan 2018 20:13:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56951)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyuenho@HIDDEN>) id 1eWu61-0003ae-9R
 for submit <at> debbugs.gnu.org; Wed, 03 Jan 2018 20:13:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <wyuenho@HIDDEN>) id 1eWu5u-0008JS-H6
 for submit <at> debbugs.gnu.org; Wed, 03 Jan 2018 20:13:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40407)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <wyuenho@HIDDEN>) id 1eWu5u-0008JK-Ba
 for submit <at> debbugs.gnu.org; Wed, 03 Jan 2018 20:13:18 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47911)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <wyuenho@HIDDEN>) id 1eWu5r-0000m1-RJ
 for bug-gnu-emacs@HIDDEN; Wed, 03 Jan 2018 20:13:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <wyuenho@HIDDEN>) id 1eWu5m-0008EG-QU
 for bug-gnu-emacs@HIDDEN; Wed, 03 Jan 2018 20:13:15 -0500
Received: from mail-wr0-x22d.google.com ([2a00:1450:400c:c0c::22d]:35410)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <wyuenho@HIDDEN>) id 1eWu5m-0008D4-ER
 for bug-gnu-emacs@HIDDEN; Wed, 03 Jan 2018 20:13:10 -0500
Received: by mail-wr0-x22d.google.com with SMTP id l19so141351wrc.2
 for <bug-gnu-emacs@HIDDEN>; Wed, 03 Jan 2018 17:13:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=Dd0/EBdpDLugYfzoE2gYlX2WgGqYtTfR8Dll17SI/6U=;
 b=jTI9BvGVxu3/mbPSdd02o//iZ/6KeFuZW9Sd9HnttLS+3Ig2VVL2P0CZ3JIzWIpjtY
 YlDRrXhqiq775u2bozCdNXpej2O6g3nCe4QbrAwuQXDckVn+RygVzCS7mn/XsvUIg2Iq
 NiQFcVUPEYnpjYVffeCB943VzZBPGikySPW83HTXxgvVlCHXQfnLiFJqQKdp6A8f4b5l
 DkSJNDqFdwR/pjCwN69rmNQ03ekr0z5k8QvD1/dW2EQSgPCnUFoLMK878fg2S02ksKHD
 Ycsm1Wp+y0a3G0BrPIW9LxyEvwnka6PL8tIHaRVxVWJHw/Fa3pbN+HBcE+i0GXrj9tzg
 qnTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=Dd0/EBdpDLugYfzoE2gYlX2WgGqYtTfR8Dll17SI/6U=;
 b=AXgpVtaxvdEZWyGhscxBT7gYjGy1osibFetU6XUukqzsKhKXR2PAEP5DBAnUjq7ItT
 nLLjg01qIlSuryux5fZTkYIAtMGqPxZ0qkYHwtBwym+eyr+/0LvjQbyp2LqOatSLtQ6D
 3Pk1/az66asl8UryW3iXe8/1AdM+zHBsb8kPo4kIc3Vk9lEgqkc9kwg7z6U0/RaGZKQF
 8sg9L1omVliU38xwC1d49snCkr6j+J1kputirmnKhOxeAaAsf7M+0/oFYO4L8wblW4fP
 7z/nzF29WCp3YbGsf/hxoOEWdsrA84GP6v9z0OEV0bT4J3HCdzk8z+GkdzIq1nAqR0LM
 0JWQ==
X-Gm-Message-State: AKGB3mLnfVanVIwlTI5tl/WXSPW89LLQStSN5WiOhP6QIDW5orQcOQmS
 pNwqDfwAwy2yAGuJQZY33KBFuZeI
X-Google-Smtp-Source: ACJfBosfNJwbG3payioxgu1BRw12eNaS52GyOSnr3aTThyRflP0sUq2CJ4Xo5JBXwgMEw+hWUJf1/g==
X-Received: by 10.223.186.72 with SMTP id t8mr3239133wrg.169.1515028388754;
 Wed, 03 Jan 2018 17:13:08 -0800 (PST)
Received: from mobilecat.lan ([88.98.208.53])
 by smtp.gmail.com with ESMTPSA id p8sm657954wrf.50.2018.01.03.17.13.06
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 03 Jan 2018 17:13:06 -0800 (PST)
From: Yuen Ho Wong <wyuenho@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.3; dired-hide-details-mode does not persist in desktop session
Date: Thu, 04 Jan 2018 01:11:13 +0000
Message-ID: <m28tdezavi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--=-=-=
Content-Type: text/plain

How to reproduce:
1. Turn on `desktop-save-mode`
2. dired some directory
3. Press `(` to turn on `dired-hide-details-mode`
4. C-x C-c, when asked to save desktop, choose yes
5. Launch emacs again, desktop restored the dired buffer but not
`dired-hide-details-mode`

What went wrong:
`dired-hide-details-mode`'s definition does not declare a lighter or a
keymap, thus it is not added to `minor-mode-alist` by
`define-minor-mode`. So when `desktop` tries to get the buffer's info to
save to `.emacs.desktop` via `desktop-buffer-info`,
`dired-hide-details-mode` does not exist, and thus not saved to the
session file.

Fix:
Just declare an empty lighter. I've attached a patch for this.



--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-Add-dired-hide-details-mode-to-minor-mode-alist.patch
Content-Description: Add dired-hide-details-mode to minor-mode-alist

From 49b10c2f4b17809d0b34354699e6a1a35d7be785 Mon Sep 17 00:00:00 2001
From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
Date: Wed, 3 Jan 2018 23:43:27 +0000
Subject: [PATCH] Add dired-hide-details-mode to minor-mode-alist

---
 lisp/dired.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/dired.el b/lisp/dired.el
index b853d64c56..97f41400f8 100644
--- a/lisp/dired.el
+++ b/lisp/dired.el
@@ -2433,6 +2433,7 @@ permissions are hidden from view.
 See options: `dired-hide-details-hide-symlink-targets' and
 `dired-hide-details-hide-information-lines'."
   :group 'dired
+  :lighter: ""
   (unless (derived-mode-p 'dired-mode)
     (error "Not a Dired buffer"))
   (dired-hide-details-update-invisibility-spec)
-- 
2.15.1


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Jimmy Yuen Ho Wong

In GNU Emacs 25.3.3 (x86_64-apple-darwin13.4.0, Carbon Version 157 AppKit 1=
265.21)
 of 2017-09-28 built on Atago.local
Repository revision: 67b78428be670691c240a20bb7af9248b884d583
Windowing system distributor 'Apple Inc.', version 10.13.2
Configured using:
 'configure --with-mac --enable-mac-app=3D/Users/build/emacs-mac-build
 --prefix=3D/Users/build/emacs-mac-build'

Configured features:
NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  company-flx-mode: t
  company-quickhelp-mode: t
  company-quickhelp-local-mode: t
  company-statistics-mode: t
  imenu-list-minor-mode: t
  projectile-mode: t
  flx-ido-mode: t
  override-global-mode: t
  winner-mode: t
  which-key-mode: t
  which-function-mode: t
  smooth-scrolling-mode: t
  show-smartparens-global-mode: t
  smartparens-global-mode: t
  show-paren-mode: t
  savehist-mode: t
  save-place-mode: t
  recentf-mode: t
  pyenv-mode: t
  purpose-mode: t
  ido-vertical-mode: t
  ido-ubiquitous-mode: t
  ido-everywhere: t
  global-whitespace-cleanup-mode: t
  global-undo-tree-mode: t
  global-origami-mode: t
  global-move-dup-mode: t
  global-magit-file-mode: t
  diff-auto-refine-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  server-mode: t
  global-hl-line-mode: t
  global-flycheck-mode: t
  global-company-mode: t
  display-time-mode: t
  desktop-save-mode: t
  delete-selection-mode: t
  auto-compile-on-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mac-mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  transient-mark-mode: t

Recent messages:
Updating buffer list...done
Commands: m, u, t, RET, g, k, S, D, Q; q to quit; h for help
imenu-list: couldn=E2=80=99t create index because of error: (imenu-unavaila=
ble "This buffer cannot use =E2=80=98imenu-default-create-index-function=E2=
=80=99")
Loading /Users/wyuenho/.emacs.d/company-statistics-cache.el (source)...done
Warning: symbolic link to Git-controlled source file
ls does not support --dired; see =E2=80=98dired-use-ls-dired=E2=80=99 for m=
ore details.
Wrote /Users/wyuenho/.emacs.d/.emacs.desktop.lock
Desktop: 1 frame, 2 buffers restored.
Turning on magit-auto-revert-mode...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
/Users/wyuenho/.emacs.d/elpa/seq-2.20/seq hides /Applications/Emacs.app/Con=
tents/Resources/lisp/emacs-lisp/seq
/Users/wyuenho/.emacs.d/elpa/let-alist-1.0.5/let-alist hides /Applications/=
Emacs.app/Contents/Resources/lisp/emacs-lisp/let-alist

Features:
(shadow sort mail-extr emacsbug sendmail jka-compr company-flx
company-quickhelp pos-tip company-statistics company-oddmuse
company-keywords company-etags company-gtags company-dabbrev-code
company-dabbrev company-files company-capf company-cmake company-xcode
company-clang company-semantic company-eclim company-template
company-css company-nxml company-bbdb linum cap-words superword subword
solarized-theme hideshow window-purpose-x imenu-list monky bindat rg
wgrep-ag wgrep ag vc-svn find-dired go-projectile vc-git go-rename
go-guru go-eldoc projectile grep ibuf-ext ibuffer go-mode find-file ffap
tide tide-lv ts-comint typescript-mode compile js2-mode-expansions
js2-mode etags xref project smartparens-javascript js-mode-expansions js
smartparens-html html-mode-expansions sgml-mode cc-mode-expansions
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs yaml-mode multi-term term disp-table ehelp
bash-completion restclient yasnippet-snippets mocha-snippets yasnippet
evil-numbers cycle-quotes string-inflection smartparens-config
smartparens-python expand-region text-mode-expansions
python-el-fgallina-expansions er-basic-expansions expand-region-core
expand-region-custom visual-regexp-steroids visual-regexp
multiple-cursors mc-hide-unmatched-lines-mode mc-separate-operations
rectangular-region-mode mc-mark-pop mc-mark-more mc-cycle-cursors
mc-edit-lines multiple-cursors-core rect idomenu smex flx-isearch
flx-ido flx zoom-frm frame-cmds frame-fns avoid delight dired-collapse
dired-single dired-hide-dotfiles all-the-icons-dired all-the-icons
all-the-icons-faces data-material data-weathericons data-octicons
data-fileicons data-faicons data-alltheicons font-lock+
exec-path-from-shell pager-default-keybindings pager windmove bind-key
solarized-dark-theme solarized color winner which-key which-func imenu
smooth-scrolling smartparens thingatpt paren savehist saveplace recentf
tree-widget pyenv-mode pythonic f python tramp-sh docker-tramp
tramp-cache tramp tramp-compat tramp-loaddefs trampver ucs-normalize
window-purpose window-purpose-fixes window-purpose-prefix-overload
window-purpose-switch window-purpose-layout window-purpose-core
window-purpose-configuration window-purpose-utils ido-vertical-mode
ido-completing-read+ memoize cus-edit wid-edit minibuf-eldef ido
whitespace-cleanup-mode whitespace undo-tree diff origami
origami-parsers cl move-dup magit-obsolete magit-blame magit-stash
magit-bisect magit-remote magit-commit magit-sequence magit-notes
magit-worktree magit-branch magit-collab ghub url-auth url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap let-alist magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode
diff-mode magit-core magit-autorevert autorevert filenotify
magit-process magit-margin magit-mode git-commit magit-git magit-section
magit-utils crm magit-popup log-edit easy-mmode message dired
format-spec rfc822 mml mml-sec epg mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev mail-utils
gmm-utils mailheader pcvs-util add-log with-editor async-bytecomp async
shell pcomplete comint ansi-color ring server hl-line flycheck json map
find-func subr-x company time desktop frameset delsel auto-compile
advice packed cus-start cus-load finder-inf edmacro kmacro gh-common
gh-profile url-parse auth-source gnus-util mm-util help-fns mail-prsvr
password-cache url-vars rx s marshal eieio-compat cl-seq dash eieio
eieio-core cl-macs info package epg-config seq byte-opt gv bytecomp
byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib
mule-util time-date tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel mac-win term/common-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote kqueue mac multi-tty
make-network-process emacs)

Memory information:
((conses 16 704475 147100)
 (symbols 48 52021 0)
 (miscs 40 917 1384)
 (strings 32 148362 131289)
 (string-bytes 1 4953797)
 (vectors 16 109995)
 (vector-slots 8 2591740 314018)
 (floats 8 12505 8339)
 (intervals 56 1918 1624)
 (buffers 976 26))

--=-=-=--




Acknowledgement sent to Yuen Ho Wong <wyuenho@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#29972; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 8 Jan 2018 19:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.